/*
 * Copyright 2009 Mozilla Corporation.
 *
 * This is part of HarfBuzz, an OpenType Layout engine library.
 *
 * Permission is hereby granted, without written agreement and without
 * license or royalty fees, to use, copy, modify, and distribute this
 * software and its documentation for any purpose, provided that the
 * above copyright notice and the following two paragraphs appear in
 * all copies of this software.
 *
 * IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
 * ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
 * IF THE COPYRIGHT HOLDER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE.
 *
 * THE COPYRIGHT HOLDER SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND THE COPYRIGHT HOLDER HAS NO OBLIGATION TO
 * PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 *
 * Created by Jonathan Kew on 23/06/2009.
 */

#ifndef HB_SCRIPT_ITEMIZE_H
#define HB_SCRIPT_ITEMIZE_H

/* script run itemizer, based on ICU code in usc_impl.[ch] */

#include "hb-common.h"
#include "hb-unicode-properties.h"

enum _hb_text_encoding_form_t {
  HB_UTF8,
  HB_UTF16,
  HB_UTF32
};
typedef enum _hb_text_encoding_form_t hb_text_encoding_form_t;

typedef struct _hb_script_itemizer_t hb_script_itemizer_t;

HB_BEGIN_DECLS

hb_script_itemizer_t * hb_script_run_open(const void * src, uint32_t length, hb_text_encoding_form_t encoding);

void hb_script_run_close(hb_script_itemizer_t * scriptRun);

void hb_script_run_set_text(hb_script_itemizer_t * scriptRun, const void *src, uint32_t length, hb_text_encoding_form_t encoding);

int hb_script_run_next(hb_script_itemizer_t * scriptRun, uint32_t * pRunStart, uint32_t * pRunLimit, hb_script_code_t * pRunScript);

HB_END_DECLS

#endif
