/*
 * Copyright 2009 Mozilla Corporation.
 *
 * This is part of HarfBuzz, an OpenType Layout engine library.
 *
 * Permission is hereby granted, without written agreement and without
 * license or royalty fees, to use, copy, modify, and distribute this
 * software and its documentation for any purpose, provided that the
 * above copyright notice and the following two paragraphs appear in
 * all copies of this software.
 *
 * IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE TO ANY PARTY FOR
 * DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
 * ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
 * IF THE COPYRIGHT HOLDER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE.
 *
 * THE COPYRIGHT HOLDER SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
 * ON AN "AS IS" BASIS, AND THE COPYRIGHT HOLDER HAS NO OBLIGATION TO
 * PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 *
 * Created by Jonathan Kew on 21/06/2009.
 */

#ifndef HB_SHAPER_H
#define HB_SHAPER_H

/* defines the API that a script shaper function needs to implement */

#include "hb-common.h"
#include "hb-ot-layout.h"
#include "hb-buffer.h"

struct _feature_setting_t {
  hb_tag_t tag;
  uint32_t value;
};
typedef struct _feature_setting_t feature_setting_t;

typedef void (*hb_script_shaper_func_t) (hb_ot_layout_t *,          /* the layout record */
				         hb_buffer_t *,             /* buffer, initially populated with CHARACTER codes */
				         const char *,              /* pointer to cmap table data to apply */
				         const void *,              /* additional shaping data if needed */
				         int,                       /* direction: negative for RTL, positive for LTR */
				         const feature_setting_t *, /* array of user-specified features */
				         unsigned int               /* number of entries in the feature array */
				         );

#endif
